Bug 23983 - Contextualization of "Order" (verb) vs "Order" (noun)
Summary: Contextualization of "Order" (verb) vs "Order" (noun)
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Caroline Cyr La Rose
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-06 22:25 UTC by Caroline Cyr La Rose
Modified: 2019-11-13 13:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (17.66 KB, patch)
2019-11-06 23:27 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (15.17 KB, patch)
2019-11-07 14:49 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (17.83 KB, patch)
2019-11-08 08:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (18.00 KB, patch)
2019-11-13 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23983: Remove the comment from tt (6.01 KB, patch)
2019-11-13 11:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (17.96 KB, patch)
2019-11-13 11:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23983: Remove comment (6.01 KB, patch)
2019-11-13 11:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun) (17.98 KB, patch)
2019-11-13 12:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23983: Remove comment (5.91 KB, patch)
2019-11-13 12:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2019-11-06 22:25:02 UTC
In French, the words for "Order" (verb) and "Order" (noun) are slightly different.

We need to add contextualization (as added in 15395) to some acquisitions tt files.

I looked through the acqui tt files and listed all the files where the word "Order" is alone (without a sentence for context)

basket.tt
neworderbiblio.tt
newordersubscription.tt 
newordersuggestion.tt
order.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt
Comment 1 Caroline Cyr La Rose 2019-11-06 23:27:08 UTC
Created attachment 95129 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' 
(uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun
Comment 2 Julian Maurice 2019-11-07 08:06:38 UTC
The patch works well, but the QA script complains about missing filters in template.

Instead of
    [% tp('noun', 'Order') %]
you have to write
    [% tp('noun', 'Order') | html %]
Comment 3 Caroline Cyr La Rose 2019-11-07 14:49:51 UTC
Created attachment 95160 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' (uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun
Comment 4 Caroline Cyr La Rose 2019-11-07 14:50:18 UTC
I have added the | html filters
Comment 5 Julian Maurice 2019-11-07 14:52:56 UTC
It looks like you have obsoleted the previous patch while it's still needed. Is it intended ?
If you are using git-bz, it automatically obsoletes patch with the same title, so be sure to use different titles for all your commits.

I will de-obsolete the first patch and test it as soon as possible.
Comment 6 Caroline Cyr La Rose 2019-11-07 14:54:40 UTC
Sorry! I thought only the last patch would work as it contains the previous work too, but maybe not... Still learning git
Comment 7 Julian Maurice 2019-11-08 08:00:39 UTC
Created attachment 95183 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' (uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 8 Julian Maurice 2019-11-08 08:02:00 UTC
I squashed the two patches together.

It works as expected. Signed off
Comment 9 Caroline Cyr La Rose 2019-11-08 14:24:16 UTC
Thanks so much Julian!
Comment 10 Jonathan Druart 2019-11-13 11:22:08 UTC
Created attachment 95360 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' (uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2019-11-13 11:22:13 UTC
Created attachment 95361 [details] [review]
Bug 23983: Remove the comment from tt

This comes from the example.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Jonathan Druart 2019-11-13 11:23:35 UTC
Great patch Caroline!

I have edited the author of the patch, you should fix your local config. Unless it was expected, then let me know!

Martin, I think it is a good last one to push on a string freeze day :)
Comment 13 Katrin Fischer 2019-11-13 11:39:46 UTC
Created attachment 95367 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' (uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2019-11-13 11:39:50 UTC
Created attachment 95368 [details] [review]
Bug 23983: Remove comment

I think we can do without the comment - suggesting removal with
this patch.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Jonathan Druart 2019-11-13 11:52:12 UTC
I restored my signed-off patch as it corrects the commit's author.
Comment 16 Katrin Fischer 2019-11-13 12:01:24 UTC
Created attachment 95371 [details] [review]
Bug 23983: Contextualization of 'Order' (verb) vs 'Order' (noun)

This patch adds context (word class, either verb or noun) to the word
'Order' when it is displayed alone in the acquisitions module.

The following files have been modified:
basket.tt
neworderbiblio.tt
newordersubscription.tt
newordersuggestion.tt
ordered.tt
parcel.tt
spent.tt
transferorder.tt
uncertainprice.tt
z3950_search.tt

To test, check all those pages in English to make sure there is
no change.
1- Go to Acquisitions
2- Create a basket
3- Add to basket from an existing record (neworderbiblio)
4- Add to basket from a subscription (newordersubscription)
5- Add to basket from a suggestion (newordersuggestion)
6- Add to basket from an external source (z3950_search)
7- In one of the orders, check the uncertain price box
8- Check the basket display table (basket)
9- Click transfer on one of the orders (transferorder)
10- Go to the vendor page and click on 'Uncertain prices' (uncertainprice)
11- Click on 'Receive parcel' (parcel)
12- Go to the Acquisitions home page and click on the
amount for 'ordered' (ordered)
13- Go to the Acquisitions home page and click on the
amount for 'spent' (spent)

Next, install a new language (fr-CA used as example)
1- translate create fr-CA
2- open fr-CA-messages.po and add a translation for Order
(verb) and Order (noun) (it doesn't have to be real, just
write something different for each)
3- translate install fr-CA
4- in the system preferences, enable the french language in
'language'
5- change interface language to french

Redo the tests above to make sure the word you put in the translation
for the verb is in the places where 'Order' should be a verb and that
the translation you put in for the noun is in the places where 'Order'
should be a noun

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Katrin Fischer 2019-11-13 12:01:32 UTC
Created attachment 95372 [details] [review]
Bug 23983: Remove comment

I think we can do without the comment - suggesting removal with
this patch.
Comment 18 Katrin Fischer 2019-11-13 12:01:57 UTC
(In reply to Jonathan Druart from comment #15)
> I restored my signed-off patch as it corrects the commit's author.

Good catch, should all be sorted now.
Comment 19 Martin Renvoize 2019-11-13 13:16:12 UTC
Nice work!

Pushed to master for 19.11.00